From 2145a4ee423e4bc2e006df8a0611ded2f26f1448 Mon Sep 17 00:00:00 2001
From: Sascha Wildner <saw@online.de>
Date: Sun, 10 Dec 2017 10:35:28 +0100
Subject: [PATCH] WIP rcmds removal

---
 Makefile_upgrade.inc                    |  10 +
 bin/Makefile                            |   1 -
 bin/cp/cp.1                             |   4 +-
 bin/rcp/Makefile                        |  16 -
 bin/rcp/extern.h                        |  47 --
 bin/rcp/rcp.1                           | 166 ------
 bin/rcp/rcp.c                           | 932 --------------------------------
 bin/rcp/util.c                          | 156 ------
 etc/inetd.conf                          |   8 +-
 include/paths.h                         |   6 +-
 lib/libc/net/rcmd.3                     |  17 +-
 lib/libc/net/rcmdsh.3                   |  11 +-
 libexec/Makefile                        |   2 -
 libexec/rlogind/Makefile                |  11 -
 libexec/rlogind/pathnames.h             |  37 --
 libexec/rlogind/rlogind.8               | 203 -------
 libexec/rlogind/rlogind.c               | 612 ---------------------
 libexec/rshd/Makefile                   |  17 -
 libexec/rshd/rshd.8                     | 254 ---------
 libexec/rshd/rshd.c                     | 704 ------------------------
 sbin/dump/Makefile                      |   2 -
 sbin/hammer/hammer.8                    |   4 +-
 sbin/restore/Makefile                   |   1 -
 share/man/man4/pty.4                    |   7 +-
 share/man/man4/termios.4                |   4 +-
 share/man/man4/tty.4                    |   4 +-
 share/man/man5/hosts.equiv.5            |   9 +-
 usr.bin/Makefile                        |   2 -
 usr.bin/crunch/README                   |   4 +-
 usr.bin/crunch/examples/fixit.conf      |   4 +-
 usr.bin/crunch/examples/really-big.conf |   4 +-
 usr.bin/login/login.1                   |   4 +-
 usr.bin/rlogin/Makefile                 |  12 -
 usr.bin/rlogin/rlogin.1                 | 239 --------
 usr.bin/rlogin/rlogin.c                 | 880 ------------------------------
 usr.bin/rsh/Makefile                    |  14 -
 usr.bin/rsh/rsh.1                       | 175 ------
 usr.bin/rsh/rsh.c                       | 361 -------------
 usr.bin/telnet/telnet.1                 |   8 +-
 usr.sbin/inetd/inetd.8                  |   8 +-
 40 files changed, 61 insertions(+), 4899 deletions(-)
 delete mode 100644 bin/rcp/Makefile
 delete mode 100644 bin/rcp/extern.h
 delete mode 100644 bin/rcp/rcp.1
 delete mode 100644 bin/rcp/rcp.c
 delete mode 100644 bin/rcp/util.c
 delete mode 100644 libexec/rlogind/Makefile
 delete mode 100644 libexec/rlogind/pathnames.h
 delete mode 100644 libexec/rlogind/rlogind.8
 delete mode 100644 libexec/rlogind/rlogind.c
 delete mode 100644 libexec/rshd/Makefile
 delete mode 100644 libexec/rshd/rshd.8
 delete mode 100644 libexec/rshd/rshd.c
 delete mode 100644 usr.bin/rlogin/Makefile
 delete mode 100644 usr.bin/rlogin/rlogin.1
 delete mode 100644 usr.bin/rlogin/rlogin.c
 delete mode 100644 usr.bin/rsh/Makefile
 delete mode 100644 usr.bin/rsh/rsh.1
 delete mode 100644 usr.bin/rsh/rsh.c

diff --git a/Makefile_upgrade.inc b/Makefile_upgrade.inc
index 6258517b64..489344818c 100644
--- a/Makefile_upgrade.inc
+++ b/Makefile_upgrade.inc
@@ -3359,6 +3359,16 @@ TO_REMOVE+=/usr/share/man/man4/faith.4.gz
 TO_REMOVE+=/usr/share/man/man4/if_faith.4.gz
 TO_REMOVE+=/usr/share/man/man8/faithd.8.gz
 TO_REMOVE+=/usr/share/man/man8/adding_user.8.gz
+TO_REMOVE+=/bin/rcp
+TO_REMOVE+=/usr/bin/rlogin
+TO_REMOVE+=/usr/bin/rsh
+TO_REMOVE+=/usr/libexec/rlogind
+TO_REMOVE+=/usr/libexec/rshd
+TO_REMOVE+=/usr/share/man/man1/rcp.1.gz
+TO_REMOVE+=/usr/share/man/man1/rlogin.1.gz
+TO_REMOVE+=/usr/share/man/man1/rsh.1.gz
+TO_REMOVE+=/usr/share/man/man8/rlogind.8.gz
+TO_REMOVE+=/usr/share/man/man8/rshd.8.gz
 
 .if !defined(WANT_INSTALLER)
 TO_REMOVE+=/usr/sbin/dfuibe_installer
diff --git a/bin/Makefile b/bin/Makefile
index 5a0f21f39f..4b055af570 100644
--- a/bin/Makefile
+++ b/bin/Makefile
@@ -25,7 +25,6 @@ SUBDIR= cat \
 	pax \
 	ps \
 	pwd \
-	rcp \
 	realpath \
 	rm \
 	rmdir \
diff --git a/etc/inetd.conf b/etc/inetd.conf
index b4e5882698..1999443a05 100644
--- a/etc/inetd.conf
+++ b/etc/inetd.conf
@@ -12,10 +12,10 @@
 #ssh	stream	tcp6	nowait	root	/usr/sbin/sshd		sshd -i -6
 #telnet	stream	tcp	nowait	root	/usr/libexec/telnetd	telnetd
 #telnet	stream	tcp6	nowait	root	/usr/libexec/telnetd	telnetd
-#shell	stream	tcp	nowait	root	/usr/libexec/rshd	rshd
-#shell	stream	tcp6	nowait	root	/usr/libexec/rshd	rshd
-#login	stream	tcp	nowait	root	/usr/libexec/rlogind	rlogind
-#login	stream	tcp6	nowait	root	/usr/libexec/rlogind	rlogind
+#shell	stream	tcp	nowait	root	/usr/local/sbin/rshd	rshd
+#shell	stream	tcp6	nowait	root	/usr/local/sbin/rshd	rshd
+#login	stream	tcp	nowait	root	/usr/local/sbin/rlogind	rlogind
+#login	stream	tcp6	nowait	root	/usr/local/sbin/rlogind	rlogind
 #finger	stream	tcp	nowait/3/10 nobody /usr/libexec/fingerd	fingerd -s
 #finger	stream	tcp6	nowait/3/10 nobody /usr/libexec/fingerd	fingerd -s
 #
diff --git a/include/paths.h b/include/paths.h
index 4d2ff5668c..ac98ab0993 100644
--- a/include/paths.h
+++ b/include/paths.h
@@ -71,10 +71,10 @@
 #define	_PATH_MAN	"/usr/share/man"
 #define	_PATH_MEM	__SYS_PATH_MEM
 #define	_PATH_NOLOGIN	"/var/run/nologin"
-#define	_PATH_RCP	"/bin/rcp"
-#define	_PATH_RLOGIN	"/usr/bin/rlogin"
+#define	_PATH_RCP	"/usr/local/bin/rcp"
+#define	_PATH_RLOGIN	"/usr/local/bin/rlogin"
 #define	_PATH_RM	"/bin/rm"
-#define	_PATH_RSH	"/usr/bin/rsh"
+#define	_PATH_RSH	"/usr/local/bin/rsh"
 #define	_PATH_SENDMAIL	"/usr/sbin/sendmail"
 #define	_PATH_SHELLS	"/etc/shells"
 #define	_PATH_TTY	__SYS_PATH_TTY
diff --git a/libexec/Makefile b/libexec/Makefile
index c0dbf3745d..646a124f9a 100644
--- a/libexec/Makefile
+++ b/libexec/Makefile
@@ -16,13 +16,11 @@ SUBDIR=	atrun \
 	pppoed \
 	rbootd \
 	revnetgroup \
-	rlogind \
 	rpc.rquotad \
 	rpc.rstatd \
 	rpc.rusersd \
 	rpc.rwalld \
 	rpc.sprayd \
-	rshd \
 	rtld-elf \
 	sftp-server \
 	ssh-keysign \
diff --git a/sbin/dump/Makefile b/sbin/dump/Makefile
index 9cb8bab76e..bc631457a1 100644
--- a/sbin/dump/Makefile
+++ b/sbin/dump/Makefile
@@ -1,6 +1,5 @@
 #	@(#)Makefile	8.1 (Berkeley) 6/5/93
 # $FreeBSD: src/sbin/dump/Makefile,v 1.12.2.4 2003/01/25 18:54:59 dillon Exp $
-# $DragonFly: src/sbin/dump/Makefile,v 1.6 2006/10/21 04:10:02 pavalos Exp $
 
 #	dump.h			header file
 #	itime.c			reads /etc/dumpdates
@@ -17,7 +16,6 @@
 PROG=	dump
 LINKS=	${BINDIR}/dump ${BINDIR}/rdump
 CFLAGS+=-DRDUMP
-CFLAGS+=-I${.CURDIR}/../../libexec/rlogind
 SRCS=	itime.c main.c optr.c dumprmt.c tape.c traverse.c unctime.c cache.c
 MAN=	dump.8
 MLINKS+=dump.8 rdump.8
diff --git a/sbin/restore/Makefile b/sbin/restore/Makefile
index 1343064c5d..a5c9b3cb61 100644
--- a/sbin/restore/Makefile
+++ b/sbin/restore/Makefile
@@ -4,7 +4,6 @@
 PROG=	restore
 LINKS=	${BINDIR}/restore ${BINDIR}/rrestore
 CFLAGS+=-DRRESTORE -DNTREC_LONG
-CFLAGS+=-I${.CURDIR}/../../libexec/rlogind
 SRCS=	main.c interactive.c restore.c dirs.c symtab.c tape.c utilities.c \
 	dumprmt.c
 MAN=	restore.8
diff --git a/usr.bin/Makefile b/usr.bin/Makefile
index 99b8d3ba02..51d21c5fc2 100644
--- a/usr.bin/Makefile
+++ b/usr.bin/Makefile
@@ -165,11 +165,9 @@ SUBDIR=	alias \
 	renice \
 	rev \
 	rfcomm_sppd \
-	rlogin \
 	rpcgen \
 	rpcinfo \
 	rs \
-	rsh \
 	rup \
 	ruptime \
 	rusers \
diff --git a/usr.bin/crunch/README b/usr.bin/crunch/README
index 27c2d0298a..985384b581 100644
--- a/usr.bin/crunch/README
+++ b/usr.bin/crunch/README
@@ -32,10 +32,10 @@ As an example, I have created an 980K crunched "fixit" binary containing
 the following programs in their entirety:
 
 	cat chmod cp date dd df echo ed expr hostname kill ln ls mkdir
-	mt mv pwd rcp rm rmdir sh sleep stty sync test [ badsect chown
+	mt mv pwd rm rmdir sh sleep stty sync test [ badsect chown
 	clri disklabel dump rdump dmesg fdisk fsck halt ifconfig init
 	mknod mount newfs ping reboot restore rrestore swapon umount
-	ftp rsh sed telnet rlogin vi cpio gzip gunzip gzcat
+	ftp sed telnet vi cpio gzip gunzip gzcat
 
 Note carefully: vi, cpio, gzip, ed, sed, dump/restore, some networking
 utilities, and the disk management utilities, all in a binary small
diff --git a/usr.bin/crunch/examples/fixit.conf b/usr.bin/crunch/examples/fixit.conf
index 2111e7ac6e..4b804f3991 100644
--- a/usr.bin/crunch/examples/fixit.conf
+++ b/usr.bin/crunch/examples/fixit.conf
@@ -14,7 +14,7 @@ srcdirs /usr/src/sbin/i386
 # /bin stuff
 
 progs cat chmod cp date dd df echo ed expr hostname kill ln ls mkdir
-progs mt mv pwd rcp rm rmdir sh sleep stty sync test
+progs mt mv pwd rm rmdir sh sleep stty sync test
 
 ln test [
 ln sh -sh		# init invokes the shell this way
@@ -28,7 +28,7 @@ ln restore rrestore
 
 # /usr/bin stuff
 
-progs ftp rsh sed telnet rlogin common find
+progs ftp sed telnet common find
 ln common vi
 ln common view
 ln common ex
diff --git a/usr.bin/crunch/examples/really-big.conf b/usr.bin/crunch/examples/really-big.conf
index d6015642a4..40b51e6e1f 100644
--- a/usr.bin/crunch/examples/really-big.conf
+++ b/usr.bin/crunch/examples/really-big.conf
@@ -13,7 +13,7 @@
 srcdirs /usr/src/bin
 
 progs cat chmod cp csh date dd df domainname echo ed expr hostname kill
-progs ln ls mkdir mt mv ps pwd rcp rm rmail rmdir sh sleep stty sync test
+progs ln ls mkdir mt mv ps pwd rm rmail rmdir sh sleep stty sync test
 
 ln test [
 ln sh -sh
@@ -46,7 +46,7 @@ progs ipcs join kdump ktrace last lastcomm leave lex lock logger locate
 progs login logname look m4 machine mail make man mesg mkfifo
 progs mkstr modstat more msgs netstat newsyslog nfsstat nice nm nohup
 progs pagesize passwd paste patch pr printenv printf quota ranlib
-progs renice rev rlogin rpcgen rpcinfo rsh rup ruptime rusers rwall rwho
+progs renice rev rpcgen rpcinfo rup ruptime rusers rwall rwho
 progs script sed showmount size soelim split strings strip su tail talk
 progs tcopy tee telnet tftp time tip tn3270 touch tput tr true tset tsort
 progs tty ul uname unexpand unifdef uniq units unvis users uudecode uuencode
